<< tf2sos | FOSSEE_Signal_Processing_Toolbox | tf2zpk >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > tf2zp

# tf2zp

Transfer function to zero pole conversion

### Syntax

    [z,p,k]= tf2zp(b,a);

### Parameters

z :

  zeros of the corrsponding tf

p :

  poles of the corresponding tf

k :

  gain of the tf

b :

  vector containing the numerator coefficients of the transfer function in descending powers of s/z

a :

  vector containing the denominator coefficients of the transfer function in descending powers of s/z

### Description

For discrete-time transfer functions, it is highly recommended to make the length of the numerator and denominator equal to ensure correct results. You can do this using the function EQTFLENGTH in the Signal Processing Toolbox.

### Authors

- Debdeep Dey

### Examples

    b = [1 2 3]
    a = [4 5 6]
    [z p k] = tf2zp(b,a)

Report an issue
<< tf2sos | FOSSEE_Signal_Processing_Toolbox | tf2zpk >>